summaryrefslogtreecommitdiff
path: root/net-print
diff options
context:
space:
mode:
authorBlackNoxis <steven.darklight@gmail.com>2015-01-14 02:47:17 +0200
committerBlackNoxis <steven.darklight@gmail.com>2015-01-14 02:47:17 +0200
commit32d8f640825082601f1a6181dea41601d2b2d922 (patch)
treeec93fa8ee565bc8df44570be2b1f76e90fa53c1a /net-print
parente4613c85a98a60ae1e5727f0bd99a8ddefd7887d (diff)
Added xerox phaser 6000 drivers
Diffstat (limited to 'net-print')
-rw-r--r--net-print/xerox-phaser6000-drivers/Manifest1
-rw-r--r--net-print/xerox-phaser6000-drivers/xerox-phaser6000-drivers-20110222.ebuild42
2 files changed, 43 insertions, 0 deletions
diff --git a/net-print/xerox-phaser6000-drivers/Manifest b/net-print/xerox-phaser6000-drivers/Manifest
new file mode 100644
index 00000000..d0fceb84
--- /dev/null
+++ b/net-print/xerox-phaser6000-drivers/Manifest
@@ -0,0 +1 @@
+DIST 6000_6010_rpm_1.01_20110222.zip 462888 SHA256 3cb437d2a83fe18718ee73f0293cef17b7129f16e7302c94752e93b4e9152ff2 SHA512 37a72fafdaa3e874c12b9678d2754c43d86d7f057ecc5aa3e3d628f871150083c0fa2813ba7b2e9cb6c8d87bb319447218e32705b00a3af0a37a5cc38aed6ff0 WHIRLPOOL b5b01345b0266022ceaaa9c08d6a4553f1abc4472d332ecf9e37fe57e8535c5463123efb407e5cdc192012bc7d8d1c3a95db1c57caf7b2a6b9077ec95306c005
diff --git a/net-print/xerox-phaser6000-drivers/xerox-phaser6000-drivers-20110222.ebuild b/net-print/xerox-phaser6000-drivers/xerox-phaser6000-drivers-20110222.ebuild
new file mode 100644
index 00000000..f16cd523
--- /dev/null
+++ b/net-print/xerox-phaser6000-drivers/xerox-phaser6000-drivers-20110222.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2013 Sabayon
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+MY_PV="1.01"
+
+DESCRIPTION="CUPS filters and drivers for Xerox Phaser 6000B and 6010"
+HOMEPAGE="http://www.support.xerox.com/support/phaser-6000"
+SRC_URI="http://download.support.xerox.com/pub/drivers/6000/drivers/linux/en_GB/6000_6010_rpm_${MY_PV}_${PV}.zip"
+LICENSE="as-is"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE=""
+
+DEPEND="app-arch/unzip app-arch/rpm2targz sys-apps/findutils"
+RDEPEND="amd64? ( app-emulation/emul-linux-x86-baselibs )
+ net-print/cups"
+
+S="${WORKDIR}/rpm_${MY_PV}_${PV}"
+RESTRICT="strip"
+
+src_unpack() {
+ unpack ${A}
+ cd "${S}" || die
+ mkdir -p "${S}/out"
+
+ local fs=( *.rpm )
+ local f=
+ for f in "${fs[@]}"; do
+ rpm2tar -O "${f}" | tar -x -v -C "${S}/out" -f - || die
+ done
+}
+
+src_install() {
+ find "${S}/out" -name "*.ppd.gz" -delete || die
+ cp -d -p --recursive "${S}/out/"* "${ED}/" || die
+
+ insinto /usr/share/cups/model
+ doins "${S}"/*.ppd.gz || die "missing ppd files"
+}